Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get participant details.

Get participant details. An organization-scoped read using JSON filter arguments; requires participants.details.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_participant_details
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
now_msstring<date-time>required
participant_idstringrequired

Opaque Soljio resource ID.

min length 1
Responses
200

Successful read.

dataobjectrequired
Show properties
enrollmentsobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
offering_idstringrequired

Opaque Soljio resource ID.

min length 1
offering_namestringrequired
session_idstring

Opaque Soljio resource ID.

min length 1
statusstringrequired
family_accountobject | nullrequired
Show properties
Any of:
null
null
object
guardiansobject[]required
Show properties
Array of object
display_namestring
emailstring
idstringrequired

Opaque Soljio resource ID.

min length 1
pending_claim_expires_atstring<date-time>
pending_claim_tokenstring
statusstringrequired
Show properties
Any of:
string
string
string
string
household_idstringrequired

Opaque Soljio resource ID.

min length 1
household_namestringrequired
statusstringrequired
Show properties
Any of:
string
string
string
string
next_sessionobject | nullrequired
Show properties
Any of:
null
null
object
ends_atstring<date-time>required
idstringrequired

Opaque Soljio resource ID.

min length 1
offering_namestringrequired
starts_atstring<date-time>required
statusstringrequired
participantobjectrequired
Show properties
date_of_birthstring
display_namestringrequired
household_namestring
idstringrequired

Opaque Soljio resource ID.

min length 1
safetyobject | nullrequired
Show properties
Any of:
null
null
object
allergiesstring
emergency_contactsobject[]required
Show properties
Array of object
namestringrequired
phonestringrequired
relationshipstring
medical_notesstring
swim_abilitystring
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
skill_checklistsobject[]required
Show properties
Array of object
attempted_countnumberrequired
completed_countnumberrequired
level_keystringrequired
level_labelstringrequired
marked_atstring<date-time>required
report_card_template_idstringrequired

Opaque Soljio resource ID.

min length 1
sectionsobject[]required
Show properties
Array of object
itemsobject[]required
Show properties
Array of object
keystringrequired
labelstringrequired
markstring
Show properties
Any of:
string
string
string
string
keystringrequired
labelstringrequired
template_namestringrequired
total_countnumberrequired
swim_ability_levelsstring[]required
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_participant_details' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "now_ms": "2019-08-24T14:15:22Z",
  "participant_id": "string"
}'
Response
{
  "data": {
    "enrollments": [
      {
        "id": "string",
        "offering_id": "string",
        "offering_name": "string",
        "session_id": "string",
        "status": "string"
      }
    ],
    "family_account": {},
    "next_session": {},
    "participant": {
      "date_of_birth": "string",
      "display_name": "string",
      "household_name": "string",
      "id": "string",
      "safety": {},
      "status": "active"
    },
    "skill_checklists": [
      {
        "attempted_count": 0,
        "completed_count": 0,
        "level_key": "string",
        "level_label": "string",
        "marked_at": "2019-08-24T14:15:22Z",
        "report_card_template_id": "string",
        "sections": [
          {
            "items": [
              {
                "key": "string",
                "label": "string",
                "mark": "attempted"
              }
            ],
            "key": "string",
            "label": "string"
          }
        ],
        "template_name": "string",
        "total_count": 0
      }
    ],
    "swim_ability_levels": [
      "string"
    ]
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}

Was this page helpful?